const requestOptions = (descricao, tipoAvaliacao, valor, dataAvaliacao, turma) => ({
  method: 'POST',
  headers: {
    'Accept': 'text/html,application/xhtml+xml,application/xml;q=0.9,image/avif,image/webp,image/apng,*/*;q=0.8,application/signed-exchange;v=b3;q=0.7',
    'Accept-Language': 'pt-BR,pt;q=0.9,en-US;q=0.8,en;q=0.7',
    'Cache-Control': 'max-age=0',
    'Connection': 'keep-alive',
    'Content-Type': 'application/x-www-form-urlencoded',
    'Cookie': '_ga_WPKH3BRP3Q=GS1.1.1713405429.1.1.1713405722.0.0.0; _ga_QW8E7D4Q9J=GS1.1.1722519950.2.0.1722520031.0.0.0; _ga=GA1.1.1363995874.1713295892; _ga_48EXC5SLQH=GS1.1.1722896955.58.1.1722897537.0.0.0; _ga_TTE7Y6E2ZE=GS1.1.1723080571.11.1.1723080674.0.0.0; _ga_63TC097MBH=GS1.1.1723157563.30.1.1723157740.0.0.0; CAKEPHP=gli5kaake1k10d2nogp50snpj2; _ga_DQQ3BCR6XZ=GS1.1.1723164255.156.1.1723166252.0.0.0',
    'Origin': 'https://academico.ifms.edu.br',
    'Referer': `https://academico.ifms.edu.br/administrativo/professores/diario/${turma}/avaliacoes`,
    'Sec-Fetch-Dest': 'document',
    'Sec-Fetch-Mode': 'navigate',
    'Sec-Fetch-Site': 'same-origin',
    'Sec-Fetch-User': '?1',
    'Upgrade-Insecure-Requests': '1',
    'User-Agent': 'Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/127.0.0.0 Safari/537.36',
    'sec-ch-ua': '"Not)A;Brand";v="99", "Google Chrome";v="127", "Chromium";v="127"',
    'sec-ch-ua-mobile': '?0',
    'sec-ch-ua-platform': '"macOS"'
  },
  body: `_method=POST&data%5BAvaliacao%5D%5Bclasse_id%5D=${encodeURIComponent(turma)}&data%5BAvaliacao%5D%5Bdescricao%5D=${encodeURIComponent(descricao)}&data%5BAvaliacao%5D%5Betapa_avaliacao_id%5D=143&data%5BAvaliacao%5D%5Btipo_avaliacao_id%5D=${encodeURIComponent(tipoAvaliacao)}&data%5BAvaliacao%5D%5Btipo_avaliacao_observacao%5D=&data%5BAvaliacao%5D%5Bdata_avaliacao%5D=${encodeURIComponent(dataAvaliacao)}&data%5BAvaliacao%5D%5Bvalor%5D=${encodeURIComponent(valor)}&data%5BAvaliacao%5D%5Bmetodo_calculo%5D=0&data%5BAvaliacao%5D%5Bpeso%5D=`
});

const atividades = [
  { descricao: 'Atividade 01', tipoAvaliacao: '21', valor: '1', dataAvaliacao: '20/07/2024' },
  { descricao: 'Atividade 02', tipoAvaliacao: '21', valor: '1', dataAvaliacao: '27/07/2024' },
  { descricao: 'Atividade 03', tipoAvaliacao: '21', valor: '1', dataAvaliacao: '03/08/2024' },
  { descricao: 'Avaliação Final', tipoAvaliacao: '16', valor: '7', dataAvaliacao: '10/08/2024' },
  { descricao: 'Recuperação da aprendizagem', tipoAvaliacao: '16', valor: '7', dataAvaliacao: '10/08/2024' }
];

const turmas = [
  68248, 68249, 68250, 68251, 68252, 68253, 68254, 68255, 68256
]

turmas.forEach(turma => {
  atividades.forEach(atividade => {
    fetch('https://academico.ifms.edu.br/administrativo/Avaliacoes/adicionar', requestOptions(atividade.descricao,atividade.tipoAvaliacao,atividade.valor,atividade.dataAvaliacao, turma))
      .then(response => response.text())
      .then(result => console.log(`Enviada: ${atividade.descricao} para ${atividade.dataAvaliacao} e turme ${}`))
      .catch(error => console.log('Erro:', error));
  });
  
})
